<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_f934df31" . "ac124758c" . "1d7040095" . "44ddef" => base64_decode("U0VMRUNUIGRhdGVfdGltZSwgb2JqZWN0X2lkLCB1" . "c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJF" . "IGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9u" . "IEFORCA="), "_d4fa3b332be727dab2fbb0d" . "586eb8012" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEFO" . "RCA="), "_9003c4206769f8bf5" . "49be389fc096ddc" => base64_decode("IE9SREVSIEJZIGRhdGVfdGltZSBER" . "VND"), "aggregati" . "on" => base64_decode("YWdncmVn" . "YXRpb24="));
use Claromentis\Core\DAL;
abstract class StatReportLastAddedList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f934df3" . "1ac12475" . "8c1d7040" . "09544dde" . "f"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_9003c4206769f8bf5" . "49be389fc096ddc"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["aggrega" . "tion"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d4fa3b332be727dab2fbb0d586eb80" . "12"] . $filter->AsPart(), $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}